using System.Collections;
using System.Collections.Generic;

using System.Text;



using System;

namespace Rokojori
{ 
  public abstract class CustomSerializer
  {
    public abstract List<Type> HandlingTypes();
    public abstract JSONData Serialize( object value );
    public abstract void Deserialize( JSONData data, Reference reference );
  } 
}